忍者ブログ
ADMINWRITE
日々の覚え書き。 まだまだぴよぴよ。 最近は勉強過程をさらして恥かいてます。
[161]  [160]  [158]  [157]  [156]  [155]  [154]  [153]  [152]  [151]  [150
×

[PR]上記の広告は3ヶ月以上新規記事投稿のないブログに表示されています。新しい記事を書く事で広告が消えます。

自分が入れているRubyは1.8なので、RubyGemsは最初から入っていません。
なので、入れようとしました。

RubyForge ↓から
http://rubyforge.org/projects/rubygems/

今日現在の最新版は1.8.2です。
ダウンロードしてきて展開します。


tar xfz rubygens-1.8.2.tgz
cd rubygems-1.8.2
ruby setup.rb

はい、ここでエラー。
ruby setup.rbをやるとエラーが出てうまくいきませんでした。
エラーは


ERROR:  While executing gem ... (Errno::EACCES)
    Permission denied - /usr/local/lib/ruby/site_ruby/1.8/ubygems.rb

というものです。

/user/local/lib/ruby/site_ruby/1.8/の下にはubygems.rbなんてファイルないし。

んー?ってぐぐってみると、どうやらインストールしようとしている場所が悪いのかな?
というわけで$HOME下に新しくRubyGems用フォルダを作成して、


ruby setup.rb --prefix=$HOME/rubygems


ってやったらエラーでなかった。
で、バージョン確認のコマンド


gem -v


を打つと、

プログラム 'gem' は以下のパッケージで見つかりました:
 * rubygems1.8
 * rubygems1.9.1
次の操作を試してください: sudo apt-get install <選択したパッケージ>


脳みそに?が浮かびながら、
sudo でやってみると、なにかいろいろインストールされてるじゃん。
んで、gem -v ってやってみる。


gem -v
1.3.5


ってあっれーー??

わからん。
なぞだ。。。。

寝ます。

PR
この記事にコメントする
お名前
タイトル
文字色
メールアドレス
URL
コメント
パスワード   Vodafone絵文字 i-mode絵文字 Ezweb絵文字
この記事へのトラックバック
この記事にトラックバックする:
カレンダー
07 2018/08 09
S M T W T F S
1 2 3 4
5 6 7 8 9 10 11
12 13 14 15 16 17 18
19 20 21 22 23 24 25
26 27 28 29 30 31
最新コメント
[12/13 sakushisyou]
[10/19 sakushisyou]
[08/26 ゆうひ]
[08/13 sakushisyou]
[11/23 ゆうひ]
最新トラックバック
プロフィール
HN:
ゆうひ
性別:
非公開
自己紹介:
はやく一人前になりたーい(謎)
成長していければいいな。。。
成長してるよね?
自称・メイドプログラマー(修行中)
料理の味付けはおおざっぱ。
バーコード
ブログ内検索
カウンター
クリック募金♪
世界樹の迷宮

Designed by 湯月   Material by ウタノツバサ
Copyright c [ ゆうひ堂本舗 ] All Rights Reserved.

忍者ブログ [PR]